# infrastructure

### Brief Introduction

This repository houses the scripts for community infrastructure, you are welcome to join us. any contribution will be appreciated.

### Structure
```
|__environment --house the scripts of basic infrastructure. 
|__mail        --house the scripts of mail list system.
|__website     --house the scripts of CD system.
|__docs        --house the design docs.
|__assets      --house the basic assets, e.g. images.
|__repository  --house the repository maintenance yaml.
|__meetbot     --house the meetbot dockerfile and deployment yaml
```


Currently, all systems are running in HuaweiCloud CCE engine as container, we appreciate anyone who is will to contribute your infrastructure resource into our community. thanks.

### Mail

Our mail list system is based on (Mailman + Exim4 + Postgres), thanks to [maxking](https://github.com/maxking/docker-mailman)
and [inifum](https://github.com/infinum/exim4-docker), our most of the docker files are built on their version.

### Meeting
- Time
    17:00-18:00, Tuesday, Beijing Time; 9:00-10:00 am, Tuesday, UTC.

- Channels

    IRC will be used to have the weekly meeting. If you consider other meetings like zoom, please propose to [mail list](infra@openeuler.org) in advance. 

    The channel https://webchat.freenode.net/#openeuler-meeting is used.

- Meeting archive
    You can find the archive http://meetings.openeuler.org/openeuler-meeting/.

### License
Now all codes are under apache v2.0 license.


### Reference
